## com.imcode.imcms.api
Class TextDocument

    java.lang.Object
      com.imcode.imcms.api.Document
          com.imcode.imcms.api.TextDocument

All Implemented Interfaces:
  java.io.Serializable

    public class TextDocument

extends Document

See Also:
  Serialized Form

Nested Class Summary
`static class` `TextDocument.Menu`
`static class` `TextDocument.MenuItem`
`static class` `TextDocument.TextField`

Nested classes/interfaces inherited from class com.imcode.imcms.api.Document
`Document.Comparator, Document.LifeCyclePhase, Document.PublicationStatus`

Field Summary
`static int` `TYPE_ID`

Fields inherited from class com.imcode.imcms.api.Document
`STATUS_NEW, STATUS_PUBLICATION_APPROVED, STATUS_PUBLICATION_DISAPPROVED`

Method Summary
`Image` `getImage(int imageIndexInDocument)`
`java.util.SortedMap` `getImages()`
`Document` `getInclude(int includeIndexInDocument)`
`java.util.SortedMap` `getIncludes()`
`TextDocumentDomainObject` `getInternalTextDocument()`
`TextDocument.Menu` `getMenu(int menuIndexInDocument)` Get the menu with the given index in the owner.
`java.util.SortedMap` `getMenus()`
`Template` `getTemplate()`
`TextDocument.TextField` `getTextField(int textFieldIndexInDocument)`
`java.util.SortedMap` `getTextFields()`
`void` `setHtmlTextField(int textFieldIndexInDocument, java.lang.String newText)`
`void` `setImage(int imageIndex, Image image)`
`void` `setInclude(int includeIndexInDocument, TextDocument documentToBeIncluded)`
`void` `setPlainTextField(int textFieldIndexInDocument, java.lang.String newText)`
`void` `setTemplate(Template template)`
`void` `setTemplate(TemplateGroup templateGroup, Template template)`
`void` `setTextField(int textFieldIndexInDocument, java.lang.String newText, TextDocument.TextField.Format format)`

Methods inherited from class com.imcode.imcms.api.Document

`addCategory, addSection, equals, getAlias, getArchivedDatetime, getCategories, getCategoriesOfType, getCreatedDatetime, getCreator, getDocumentPermissionSetForUser, getHeadline, getId, getKeywords, getLanguage, getMenuImageURL, getMenuText, getModifiedDatetime, getName, getPermissionSetIdForRole, getPermissionSetRestrictedOne, getPermissionSetRestrictedTwo, getPermissionSetTypeForRole, getPublicationEndDatetime, getPublicationStartDatetime, getPublicationStatus, getPublisher, getRolesMappedToPermissions, getSections, getStatus, getTarget, hashCode, isActive, isArchived, isLinkableByOtherUsers, isPublished, isSearchDisabled, isVisibleInMenusForUnauthorizedUsers, removeCategory, setAlias, setArchivedDatetime, setCreator, setHeadline, setKeywords, setLanguage, setLinkableByOtherUsers, setMenuImageURL, setMenuText, setModifiedDatetime, setPermissionSetIdForRole, setPermissionSetTypeForRole, setPublicationEndDatetime, setPublicationStartDatetime, setPublicationStatus, setPublisher, setSearchDisabled, setSections, setStatus, setVisibleInMenusForUnauthorizedUsers`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_ID

    public static final int TYPE_ID

See Also:
  Constant Field Values

Method Detail

### getTextFields

    public java.util.SortedMap getTextFields()

  Returns:
    A SortedMap that contains the textFileds index as keys, and instaces of TextFields as values. Only the TextFields that contains any text is returned.

### getImages

    public java.util.SortedMap getImages()

  Returns:
    A SortedMap that contains the images index as keys, and instaces of Image as values. Only the Image that has an url is returned.

### getIncludes

    public java.util.SortedMap getIncludes()

  Returns:
    A SortedMap that contains the index of the include as keys, and instaces of Document as values. Only the includes that has a document is returned.

### getTextField

    public TextDocument.TextField getTextField(int textFieldIndexInDocument)

### getInternalTextDocument

    public TextDocumentDomainObject getInternalTextDocument()

### setPlainTextField

    public void setPlainTextField(int textFieldIndexInDocument,
                                  java.lang.String newText)

### setHtmlTextField

    public void setHtmlTextField(int textFieldIndexInDocument,
                                 java.lang.String newText)

### setTextField

    public void setTextField(int textFieldIndexInDocument,
                             java.lang.String newText,
                             TextDocument.TextField.Format format)

### getImage

    public Image getImage(int imageIndexInDocument)

### getTemplate

    public Template getTemplate()

### setTemplate

    public void setTemplate(TemplateGroup templateGroup,
                            Template template)

### setTemplate

    public void setTemplate(Template template)

### getInclude

    public Document getInclude(int includeIndexInDocument)

### setInclude

    public void setInclude(int includeIndexInDocument,
                           TextDocument documentToBeIncluded)

### getMenu

    public TextDocument.Menu getMenu(int menuIndexInDocument)

  Get the menu with the given index in the owner.

  Parameters:
    `menuIndexInDocument` - the index of the menu in the owner.
  Returns:
    the menu with the given index in the owner.

### getMenus

    public java.util.SortedMap getMenus()

### setImage

    public void setImage(int imageIndex,
                         Image image)